<?php 
include('../../../../configuracion.php');
include('../config.php');

$id=isset($_GET['id']) ? $_GET['id'] : NULL;;
$datos = $db->row(TABLA,'*',"id='{$id}'");





$imagesize[1] = Array("normal"=>Array(700,700),"n¡miniatura"=>Array(250,250),"recorte"=>Array(50,50));
$imagesize[2] = Array("normal"=>Array(700,700),"n¡miniatura"=>Array(250,250),"recorte"=>Array(50,50));
$imagesize[3] = Array("normal"=>Array(700,700),"n¡miniatura"=>Array(250,250),"recorte"=>Array(50,50));
$imagesize[4] = Array("normal"=>Array(700,700),"n¡miniatura"=>Array(250,250),"recorte"=>Array(50,50));
$imagesize[5] = Array("normal"=>Array(700,700),"n¡miniatura"=>Array(250,250),"recorte"=>Array(50,50));

if($id==2){
$imagesize[1] = Array("normal"=>Array(1024,512),"n¡miniatura"=>Array(100,100),"recorte"=>Array(50,50));
$imagesize[2] = Array("normal"=>Array(1024,512),"n¡miniatura"=>Array(100,100),"recorte"=>Array(50,50));
$imagesize[3] = Array("normal"=>Array(800,530),"n¡miniatura"=>Array(100,100),"recorte"=>Array(50,50));
$imagesize[4] = Array("normal"=>Array(800,530),"n¡miniatura"=>Array(100,100),"recorte"=>Array(50,50));
$imagesize[5] = Array("normal"=>Array(1024,512),"n¡miniatura"=>Array(100,100),"recorte"=>Array(50,50)); 
}


$nombre = isset($_POST['nombre']) ? $_POST['nombre'] : NULL;
$llamado = isset($_POST['llamado']) ? $_POST['llamado'] : NULL;
$llamado_en = isset($_POST['llamado_en']) ? $_POST['llamado_en'] : NULL;
$bajada = isset($_POST['bajada']) ? $_POST['bajada'] : NULL;
$bajada_en = isset($_POST['bajada_en']) ? $_POST['bajada_en'] : NULL;

$destino = isset($_POST['destino']) ? $_POST['destino'] : NULL;
$enlace = isset($_POST['enlace']) ? $_POST['enlace'] : NULL;
$boton = isset($_POST['boton']) ? $_POST['boton'] : NULL;
$boton_en = isset($_POST['boton_en']) ? $_POST['boton_en'] : NULL;

$intro_1 = isset($_POST['intro_1']) ? $_POST['intro_1'] : NULL;
$intro_1_en = isset($_POST['intro_1_en']) ? $_POST['intro_1_en'] : NULL;
$intro_2 = isset($_POST['intro_2']) ? $_POST['intro_2'] : NULL;
$intro_2_en = isset($_POST['intro_2_en']) ? $_POST['intro_2_en'] : NULL;
$intro_3 = isset($_POST['intro_3']) ? $_POST['intro_3'] : NULL;
$intro_3_en = isset($_POST['intro_3_en']) ? $_POST['intro_3_en'] : NULL;
$intro_4 = isset($_POST['intro_4']) ? $_POST['intro_4'] : NULL;
$intro_4_en = isset($_POST['intro_4_en']) ? $_POST['intro_4_en'] : NULL;
$intro_5 = isset($_POST['intro_5']) ? $_POST['intro_5'] : NULL;
$intro_5_en = isset($_POST['intro_5_en']) ? $_POST['intro_5_en'] : NULL;



$titulo_1 = isset($_POST['titulo_1']) ? $_POST['titulo_1'] : NULL;
$titulo_1_en = isset($_POST['titulo_1_en']) ? $_POST['introv_en'] : NULL;
$titulo_2 = isset($_POST['titulo_2']) ? $_POST['titulo_2'] : NULL;
$titulo_2_en = isset($_POST['titulo_2_en']) ? $_POST['titulo_2_en'] : NULL;
$titulo_3 = isset($_POST['titulo_3']) ? $_POST['titulo_3'] : NULL;
$titulo_3_en = isset($_POST['titulo_3_en']) ? $_POST['titulo_3_en'] : NULL;
$titulo_4 = isset($_POST['titulo_4']) ? $_POST['titulo_4'] : NULL;
$titulo_4_en = isset($_POST['titulo_4_en']) ? $_POST['titulo_4_en'] : NULL;
$titulo_5 = isset($_POST['titulo_5']) ? $_POST['titulo_5'] : NULL;
$titulo_5_en = isset($_POST['titulo_5_en']) ? $_POST['titulo_5_en'] : NULL;



$frase_1 = isset($_POST['frase_1']) ? $_POST['frase_1'] : NULL;
$frase_1_en = isset($_POST['frase_1_en']) ? $_POST['introv_en'] : NULL;
$frase_2 = isset($_POST['frase_2']) ? $_POST['frase_2'] : NULL;
$frase_2_en = isset($_POST['frase_2_en']) ? $_POST['frase_2_en'] : NULL;
$frase_3 = isset($_POST['frase_3']) ? $_POST['frase_3'] : NULL;
$frase_3_en = isset($_POST['frase_3_en']) ? $_POST['frase_3_en'] : NULL;
$frase_4 = isset($_POST['frase_4']) ? $_POST['frase_4'] : NULL;
$frase_4_en = isset($_POST['frase_4_en']) ? $_POST['frase_4_en'] : NULL;
$frase_5 = isset($_POST['frase_5']) ? $_POST['frase_5'] : NULL;
$frase_5_en = isset($_POST['frase_5_en']) ? $_POST['frase_5_en'] : NULL;


$texto_1 = isset($_POST['texto_1']) ? $_POST['texto_1'] : NULL;
$texto_1_en = isset($_POST['texto_1_en']) ? $_POST['introv_en'] : NULL;
$texto_2 = isset($_POST['texto_2']) ? $_POST['texto_2'] : NULL;
$texto_2_en = isset($_POST['texto_2_en']) ? $_POST['texto_2_en'] : NULL;
$texto_3 = isset($_POST['texto_3']) ? $_POST['texto_3'] : NULL;
$texto_3_en = isset($_POST['texto_3_en']) ? $_POST['texto_3_en'] : NULL;
$texto_4 = isset($_POST['texto_4']) ? $_POST['texto_4'] : NULL;
$texto_4_en = isset($_POST['texto_4_en']) ? $_POST['texto_4_en'] : NULL;
$texto_5 = isset($_POST['texto_5']) ? $_POST['texto_5'] : NULL;
$texto_5_en = isset($_POST['texto_5_en']) ? $_POST['texto_5_en'] : NULL;




$estado = isset($_POST['estado']) ? $_POST['estado'] : NULL;


$nombre = funcion::LimpiaComillaSimple($nombre);
$llamado = funcion::LimpiaComillaSimple($llamado);
$llamado_en = funcion::LimpiaComillaSimple($llamado_en);
$bajada = funcion::LimpiaComillaSimple($bajada);
$bajada_en = funcion::LimpiaComillaSimple($bajada_en);

$boton = funcion::LimpiaComillaSimple($boton);
$boton_en = funcion::LimpiaComillaSimple($boton_en);

$intro_1 = funcion::LimpiaComillaSimple($intro_1);
$intro_1_en = funcion::LimpiaComillaSimple($intro_1_en);
$intro_2 = funcion::LimpiaComillaSimple($intro_2);
$intro_2_en = funcion::LimpiaComillaSimple($intro_2_en);
$intro_3 = funcion::LimpiaComillaSimple($intro_3);
$intro_3_en = funcion::LimpiaComillaSimple($intro_3_en);
$intro_4 = funcion::LimpiaComillaSimple($intro_4);
$intro_4_en = funcion::LimpiaComillaSimple($intro_4_en);
$intro_5 = funcion::LimpiaComillaSimple($intro_5);
$intro_5_en = funcion::LimpiaComillaSimple($intro_5_en);


$titulo = funcion::LimpiaComillaSimple($titulo);
$titulo_en = funcion::LimpiaComillaSimple($titulo_en);
$titulo_2 = funcion::LimpiaComillaSimple($titulo_2);
$titulo_2_en = funcion::LimpiaComillaSimple($titulo_2_en);
$titulo_3 = funcion::LimpiaComillaSimple($titulo_3);
$titulo_3_en = funcion::LimpiaComillaSimple($titulo_3_en);
$titulo_4 = funcion::LimpiaComillaSimple($titulo_4);
$titulo_4_en = funcion::LimpiaComillaSimple($titulo_4_en);
$titulo_5 = funcion::LimpiaComillaSimple($titulo_5);
$titulo_5_en = funcion::LimpiaComillaSimple($titulo_5_en);


$frase = funcion::LimpiaComillaSimple($frase);
$frase_en = funcion::LimpiaComillaSimple($frase_en);
$frase_2 = funcion::LimpiaComillaSimple($frase_2);
$frase_2_en = funcion::LimpiaComillaSimple($frase_2_en);
$frase_3 = funcion::LimpiaComillaSimple($frase_3);
$frase_3_en = funcion::LimpiaComillaSimple($frase_3_en);
$frase_4 = funcion::LimpiaComillaSimple($frase_4);
$frase_4_en = funcion::LimpiaComillaSimple($frase_4_en);
$frase_5 = funcion::LimpiaComillaSimple($frase_5);
$frase_5_en = funcion::LimpiaComillaSimple($frase_5_en);


$texto = funcion::LimpiaComillaSimple($texto);
$texto_en = funcion::LimpiaComillaSimple($texto_en);
$texto_2 = funcion::LimpiaComillaSimple($texto_2);
$texto_2_en = funcion::LimpiaComillaSimple($texto_2_en);
$texto_3 = funcion::LimpiaComillaSimple($texto_3);
$texto_3_en = funcion::LimpiaComillaSimple($texto_3_en);
$texto_4 = funcion::LimpiaComillaSimple($texto_4);
$texto_4_en = funcion::LimpiaComillaSimple($texto_4_en);
$texto_5 = funcion::LimpiaComillaSimple($texto_5);
$texto_5_en = funcion::LimpiaComillaSimple($texto_5_en);


// ============================

$editor = $_SESSION['administrador_mago_id'];
$fecha_edicion = date('Y-m-d H:i:s');

		$datos_edicion = array(
			'nombre'			=> $db->string($nombre),
			'llamado'		=> $db->string($llamado),
			'llamado_en'		=> $db->string($llamado_en),
            'bajada'		=> $db->string($bajada),
			'bajada_en'		=> $db->string($bajada_en),
			'intro_1'		=> $db->string($intro_1,html),
			'intro_1_en'		=> $db->string($intro_1_en,html),
			'intro_2'		=> $db->string($intro_2,html),
			'intro_2_en'		=> $db->string($intro_2_en,html),
			'intro_3'		=> $db->string($intro_3,html),
			'intro_3_en'		=> $db->string($intro_3_en,html),
			'intro_4'		=> $db->string($intro_4,html),
			'intro_4_en'		=> $db->string($intro_4_en,html),
			'intro_5'		=> $db->string($intro_5,html),
			'intro_5_en'		=> $db->string($intro_5_en,html),
			'titulo_1'		=> $db->string($titulo_1),
			'titulo_1_en'		=> $db->string($titulo_1_en),
			'titulo_2'		=> $db->string($titulo_2),
			'titulo_2_en'		=> $db->string($titulo_2_en),
			'titulo_3'		=> $db->string($titulo_3),
			'titulo_3_en'		=> $db->string($titulo_3_en),
			'titulo_4'		=> $db->string($titulo_4),
			'titulo_4_en'		=> $db->string($titulo_4_en),
			'titulo_5'		=> $db->string($titulo_5),
			'titulo_5_en'		=> $db->string($titulo_5_en),
			'frase_1'		=> $db->string($frase_1,html),
			'frase_1_en'		=> $db->string($frase_1_en,html),
			'frase_2'		=> $db->string($frase_2,html),
			'frase_2_en'		=> $db->string($frase_2_en,html),
			'frase_3'		=> $db->string($frase_3,html),
			'frase_3_en'		=> $db->string($frase_3_en,html),
			'frase_4'		=> $db->string($frase_4,html),
			'frase_4_en'		=> $db->string($frase_4_en,html),
			'frase_5'		=> $db->string($frase_5,html),
			'frase_5_en'		=> $db->string($frase_5_en,html),
			'texto_1'		=> $db->string($texto_1,html),
			'texto_1_en'		=> $db->string($texto_1_en,html),
			'texto_2'		=> $db->string($texto_2,html),
			'texto_2_en'		=> $db->string($texto_2_en,html),
			'texto_3'		=> $db->string($texto_3,html),
			'texto_3_en'		=> $db->string($texto_3_en,html),
			'texto_4'		=> $db->string($texto_4,html),
			'texto_4_en'		=> $db->string($texto_4_en,html),
			'texto_5'		=> $db->string($texto_5,html),
			'texto_5_en'		=> $db->string($texto_5_en,html),
			'boton'		=> $db->string($boton),
			'boton_en'		=> $db->string($boton_en),
			'enlace'			=> $db->string($enlace,html),
			'destino'			=> $db->string($destino),
			'metatitle'			=> $db->string($metatitle),
			'metadescription'	=> $db->string($metadescription),
			'keywords'			=> $db->string($keywords),
            'editor'			 => @$editor+0,
			'fecha_edicion'		 => $db->string($fecha_edicion)
		);

		if ($db->update(TABLA,$datos_edicion,"id='{$id}'")==1) {
			$mensaje_respuesta = 'Edición exitosa.';
			$url_respuesta = MAGO."c/".MODULO."/editar/".$id;
		} else {
			$mensaje_respuesta = 'ERROR: No se pudo editar';
			$url_respuesta = MAGO."c/".MODULO."/editar/".$id;
		}



		$datosArray = (array)$datos;

		for($hh = 1; $hh<6 ; $hh++){

		// Incluimos la clase Upload
		include_once 'class.upload.php';
        $imagen = new upload($_FILES['imagen_'.$hh]);
		
			
		

		// Comprobamos si se subió la imagen
		if ($imagen->uploaded) {

              // Borramos las imágenes anteriores
				@unlink('../../../../imagenes/'.FOLDER.'/'.$datosArray["imagen_".$hh]);
				@unlink('../../../../imagenes/'.FOLDER.'/'.$datosArray["miniatura_".$hh]);
				@unlink('../../../../imagenes/'.FOLDER.'/'.$datosArray["recorte_".$hh]);
		
		
			 
		// ===================================================================================
		// CREAMOS LA IMAGEN ORIGINAL
			  
			  $imagen->image_convert			= 'png';
			  $imagen->jpeg_quality				= 92;
			  $imagen->allowed					= array('image/*');
			  $imagen->file_new_name_body		= $id.$hh;
			  $imagen->file_new_name_ext		= 'png';
			  $imagen->image_resize				= true;
			  $imagen->image_background_color	= '';
			  $imagen->image_ratio_y			= true;
			  $imagen->image_x					= $imagesize[$hh]["normal"][0];
			  $imagen->image_y					= $imagesize[$hh]["normal"][1];
			  
			  $imagen->process('../../../../imagenes/'.FOLDER.'/');
			  if ($imagen->processed) {
				  
				// Subimos a la base de datos
				$datos = array(
					'imagen_'.$hh	=> $db->string($imagen->file_dst_name),
				);		
				$db->update(TABLA,$datos,"id='$id'");	
				
				} else {
					$mensaje_respuesta = $mensaje_respuesta.'<br>ERROR: '.$imagen->error;
				}
		// FIN DE LA CREACIÓN DE LA IMAGEN ORIGINAL
		// ===================================================================================
		
		
		// ===================================================================================
		// CREAMOS LA MINIATURA
		   
			  $imagen->image_convert			= 'png';
			  $imagen->jpeg_quality				= 92;
			  $imagen->file_new_name_body		= $id.$hh.'-min';
			  $imagen->file_new_name_ext		= 'png';
			  $imagen->image_resize				= true;
			  $imagen->image_ratio_fill			= true;
			  $imagen->image_background_color	= '';
			  $imagen->image_x					= $imagesize[1]["miniatura"][0];
			  $imagen->image_y					= $imagesize[1]["miniatura"][1];
			  
			  $imagen->process('../../../../imagenes/'.FOLDER.'/');
			  if ($imagen->processed) {
				  
				// Subimos a la base de datos
				$datos = array(
					'miniatura_'.$hh	=> $db->string($imagen->file_dst_name),
				);		
				$db->update(TABLA,$datos,"id='$id'");	
				
				} else {
					$mensaje_respuesta = $mensaje_respuesta.'<br>ERROR: '.$imagen->error;
				}
		// FIN DE LA CREACIÓN DE LA MINIATURA
		// ===================================================================================
		
		// ===================================================================================
		// CREAMOS EL RECORTE
		   
			  $imagen->image_convert			= 'png';
			  $imagen->jpeg_quality				= 92;
			  $imagen->allowed					= array('image/*');
			  $imagen->file_new_name_body		= $id.$hh.'-rec';
			  $imagen->file_new_name_ext		= 'png';
			  $imagen->image_resize				= true;
			  $imagen->image_ratio_fill			= true;
			  $imagen->image_background_color	= '';
			  $imagen->image_x					= $imagesize[1]["recorte"][0];
			  $imagen->image_y					= $imagesize[1]["recorte"][1];
			  
			  $imagen->process('../../../../imagenes/'.FOLDER.'/');
			  if ($imagen->processed) {
				  
				// Subimos a la base de datos
				$datos = array(
					'recorte_'.$hh	=> $db->string($imagen->file_dst_name),
				);		
				$db->update(TABLA,$datos,"id='$id'");	
				
				} else {
					$mensaje_respuesta = $mensaje_respuesta.'<br>ERROR: '.$imagen->error;
				}
		// FIN DE LA CREACIÓN DEL RECORTE
		// ===================================================================================
				
		}
		
		//======FIN DEL PROCESO DE LA IMAGEN 1=======

		}


echo $mensaje_respuesta.'|'.$url_respuesta;
exit;
?>